<link rel="import" href="./hook-media-query.html">
<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="hook-picture-source">
  <template>
    <hook-media-query query="{{media}}" query-matches="{{queryMatches}}"></hook-media-query>
  </template>
  <script>
    class HookPictureSource extends Polymer.Element {
      static get is() {
        return 'hook-picture-source';
      }
      static get properties() {
        return {
          /**
          * Source attribute
          * @type {string}
          */
          src: {
            type: String,
            reflectToAttribute: true,
            value: null,
            notify: true
          },

          /**
          * Media query attribute
          * @type {string}
          */
          media: {
            type: String,
            reflectToAttribute: true,
            value: null,
            notify: true
          },

          /**
          * Boolean property for matching queries.
          * @type {boolean}
          */
          queryMatches: {
            type: Boolean,
            reflectToAttribute: true,
            notify: true
          }
        }
      }
    }
    window.customElements.define(HookPictureSource.is, HookPictureSource);
    window.HookPictureSource = HookPictureSource;
  </script>
</dom-module>
